#pragma once

// CPPgUpdate dialog

class CPPgUpdate : public CPropertyPage
{
	DECLARE_DYNAMIC(CPPgUpdate)

public:
	CPPgUpdate();
	virtual ~CPPgUpdate();

// Dialog Data
	enum { IDD = IDD_PPG_UPDATE };
protected:

	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	DECLARE_MESSAGE_MAP()

public:
	virtual BOOL OnApply();
	virtual BOOL OnInitDialog();
	void Localize(void);
	void LoadSettings(void);
	afx_msg void OnSettingsChange() {SetModified();}
	// MOD: FC - [FakeCheck]
	afx_msg void OnBnClickedUpdatefakes();
	afx_msg void OnBnClickedResetfakes();
	// MOD: FC END
	afx_msg void OnBnClickedUpdateipfurl();
	afx_msg void OnBnClickedResetipfurl();

#ifdef ARGOS // MOD: NA - [NeoArgos]
	afx_msg void OnBnClickedUpdatellurl();
	afx_msg void OnBnClickedResetllurl();
#endif // ARGOS // MOD: NA END
};